package com.xmomen.module.schedule.entity.mapper;

import com.xmomen.module.schedule.entity.ScheduleJob;
import com.xmomen.module.schedule.entity.ScheduleJobExample;
import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import org.apache.ibatis.annotations.Param;

// ScheduleJobMapper接口，继承MybatisMapper
public interface ScheduleJobMapper extends MybatisMapper {
    // 根据example统计ScheduleJob数量
    int countByExample(ScheduleJobExample example);

    // 根据example删除ScheduleJob
    int deleteByExample(ScheduleJobExample example);

    // 插入ScheduleJob
    int insertSelective(ScheduleJob record);

    // 根据example更新ScheduleJob
    int updateByExampleSelective(@Param("record") ScheduleJob record, @Param("example") ScheduleJobExample example);
}